org.deidentifier.arx.framework.check.distribution

## Class IntArrayDictionaryEntry

- java.lang.Object
- - org.deidentifier.arx.framework.check.distribution.IntArrayDictionaryEntry

    public class IntArrayDictionaryEntry
    extends java.lang.Object

Implements an entry.

Author:
  Fabian Prasser, Florian Kohlmayer

### Constructor Summary

Constructors
Constructor and Description
`IntArrayDictionaryEntry(int[] key, int hash, int value)` Creates a new entry.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `decRefCount()`
`int` `getHashcode()` Gets the hashcode of this class.
`int[]` `getKey()` Gets the key of this class.
`IntArrayDictionaryEntry` `getNext()` Gets the next element in this bucket.
`int` `getValue()` Gets the value.
`void` `incRefCount()` Increments the reference counter
`void` `setNext(IntArrayDictionaryEntry next)` Sets next

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntArrayDictionaryEntry

    public IntArrayDictionaryEntry(int[] key,
                                   int hash,
                                   int value)

Creates a new entry.

Parameters:
  `key` - the key
  `hash` - the hash
  `value` - the value

### Method Detail

#### decRefCount

    public int decRefCount()

#### getHashcode

    public int getHashcode()

Gets the hashcode of this class.

Returns:
  the hashcode of this class

#### getKey

    public int[] getKey()

Gets the key of this class.

Returns:
  the key of this class

#### getNext

    public IntArrayDictionaryEntry getNext()

Gets the next element in this bucket.

Returns:
  the next element in this bucket

#### getValue

    public int getValue()

Gets the value.

Returns:
  the value

#### incRefCount

    public void incRefCount()

Increments the reference counter

#### setNext

    public void setNext(IntArrayDictionaryEntry next)

Sets next

Parameters:
  `next` -